Loading...
Searching...
No Matches
oval_filter.c File Reference

OVAL filter data type implementation. More...

`#include <string.h>`
`#include <stdlib.h>`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`
`#include "oval_agent_api_impl.h"`
`#include "oval_definitions_impl.h"`
Include dependency graph for oval_filter.c:

## Data Structures

struct | oval_filter
| OVAL filter. More...

## Functions

struct oval_filter * | oval_filter_new (struct oval_definition_model *model)
void | oval_filter_free (struct oval_filter *filter)
struct oval_filter * | oval_filter_clone (struct oval_definition_model *new_model, struct oval_filter *old_filter)
bool | oval_filter_iterator_has_more (struct oval_filter_iterator *oc_filter)
struct oval_filter * | oval_filter_iterator_next (struct oval_filter_iterator *oc_filter)
void | oval_filter_iterator_free (struct oval_filter_iterator *oc_filter)
struct oval_state * | oval_filter_get_state (struct oval_filter *filter)
oval_filter_action_t | oval_filter_get_filter_action (struct oval_filter *filter)
void | oval_filter_set_state (struct oval_filter *filter, struct oval_state *state)
void | oval_filter_set_filter_action (struct oval_filter *filter, oval_filter_action_t action)
int | oval_filter_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_filter_consumer consumer, void *user)
xmlNode * | oval_filter_to_dom (struct oval_filter *filter, xmlDoc *doc, xmlNode *parent)

## Detailed Description

OVAL filter data type implementation.

Author
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m